This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275273 - include muon in kickoff favorites (instead of apper)
include muon in kickoff favorites (instead of apper)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-desktop (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
AcceptedFreezeException
: Reopened
Depends On:
Blocks: F23FinalFreezeException
  Show dependency treegraph
 
Reported: 2015-10-26 08:34 EDT by Rex Dieter
Modified: 2016-12-20 10:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:10:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-10-26 08:34:40 EDT
To sidestep deficiencies in apper/PackageKit (see bug #1098735 and bug #1181859) kde-sig wants include muon discover in desktop favorites instead

plasma-desktop-5.4.2-3 build does just that:
%changelog
* Fri Oct 16 2015 Rex Dieter <rdieter@fedoraproject.org> 5.4.2-3
- default_favorites.patch: -apper, +muon-discover
Comment 1 Fedora Blocker Bugs Application 2015-10-26 08:38:01 EDT
Proposed as a Freeze Exception for 23-final by Fedora user rdieter using the blocker tracking app because:

 To sidestep deficiencies in apper/PackageKit (see bug #1098735 and bug #1181859), kde-sig wants include muon discover in desktop favorites instead.

It's a minimal change, but ideally included in f23 ga, since it only affects users' first login after installing this update.  For example, users with first login before installing this will not benefit from it.
Comment 2 Fedora Update System 2015-10-26 09:41:45 EDT
plasma-desktop-5.4.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-719a3f2389
Comment 3 Kevin Kofler 2015-10-26 11:32:41 EDT
It also affects the favorites on the live session itself.
Comment 4 Rex Dieter 2015-10-26 11:45:19 EDT
In this case, no it does not, that's spin-kickstarts:
https://git.fedorahosted.org/cgit/spin-kickstarts.git/tree/fedora-live-kde-base.ks?h=f23#n38

(It makes less sense to show software management tools on a live image)
Comment 5 Rex Dieter 2015-10-26 11:46:23 EDT
(that's only for the default liveuser of course)
Comment 6 Petr Schindler 2015-10-26 13:34:29 EDT
Discussed at 2015-10-26 blocker review meeting: [1]. 

This bug was accepted as Freeze Exception: It would be good to get a tested fix for this into the next compose.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2015-10-26/f23-blocker-review.2015-10-26-16.00.html
Comment 7 Rex Dieter 2015-10-26 14:40:54 EDT
Revoking the update, muon has been found to be too unstable:
* fails to install (and crash) for some users (something I've not been able to reproduce yet, but we've also had multiple confirmations)
* fails to remove any package, and (sometimes?) crashes, I just filed, https://bugs.kde.org/show_bug.cgi?id=354415
Comment 8 Rex Dieter 2015-10-29 12:40:43 EDT
closing per comment #7
Comment 9 Fedora Update System 2015-11-06 09:08:07 EST
plasma-oxygen-5.4.3-1.fc23 ksysguard-5.4.3-1.fc23 plasma-nm-5.4.3-1.fc23 khotkeys-5.4.3-1.fc23 kmenuedit-5.4.3-1.fc23 plasma-pa-5.4.3-1.fc23 kwin-5.4.3-1.fc23 powerdevil-5.4.3-1.fc23 kde-cli-tools-5.4.3-1.fc23 libkscreen-qt5-5.4.3-1.fc23 ksshaskpass-5.4.3-1.fc23 kf5-kwayland-5.4.3-1.fc23 kdeplasma-addons-5.4.3-1.fc23 kscreen-5.4.3-1.fc23 bluedevil-5.4.3-1.fc23 plasma-breeze-5.4.3-1.fc23 plasma-milou-5.4.3-1.fc23 plasma-systemsettings-5.4.3-1.fc23 sddm-kcm-5.4.3-1.fc23 plasma-workspace-5.4.3-1.fc23 khelpcenter-5.4.3-1.fc23 kinfocenter-5.4.3-1.fc23 kdecoration-5.4.3-1.fc23 kwayland-integration-5.4.3-1.fc23 kwrited-5.4.3-1.fc23 oxygen-fonts-5.4.3-1.fc23 kgamma-5.4.3-1.fc23 plasma-desktop-5.4.3-1.fc23 muon-5.4.3-1.fc23 polkit-kde-5.4.3-1.fc23 plasma-workspace-wallpapers-5.4.3-1.fc23 libksysguard-5.4.3-1.fc23 kde-gtk-config-5.4.3-1.fc23 plasma-sdk-5.4.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2016faf8c4
Comment 10 Fedora Update System 2015-11-08 08:24:24 EST
bluedevil-5.4.3-1.fc23, kde-cli-tools-5.4.3-1.fc23, kde-gtk-config-5.4.3-1.fc23, kdecoration-5.4.3-1.fc23, kdeplasma-addons-5.4.3-1.fc23, kf5-kwayland-5.4.3-1.fc23, kgamma-5.4.3-1.fc23, khelpcenter-5.4.3-1.fc23, khotkeys-5.4.3-1.fc23, kinfocenter-5.4.3-1.fc23, kmenuedit-5.4.3-1.fc23, kscreen-5.4.3-1.fc23, ksshaskpass-5.4.3-1.fc23, ksysguard-5.4.3-1.fc23, kwayland-integration-5.4.3-1.fc23, kwin-5.4.3-1.fc23, kwrited-5.4.3-1.fc23, libkscreen-qt5-5.4.3-1.fc23, libksysguard-5.4.3-1.fc23, muon-5.4.3-1.fc23, oxygen-fonts-5.4.3-1.fc23, plasma-breeze-5.4.3-2.fc23, plasma-desktop-5.4.3-1.fc23, plasma-milou-5.4.3-1.fc23, plasma-nm-5.4.3-1.fc23, plasma-oxygen-5.4.3-1.fc23, plasma-pa-5.4.3-1.fc23, plasma-sdk-5.4.3-1.fc23, plasma-systemsettings-5.4.3-1.fc23, plasma-workspace-5.4.3-1.fc23, plasma-workspace-wallpapers-5.4.3-1.fc23, polkit-kde-5.4.3-1.fc23, powerdevil-5.4.3-1.fc23, sddm-kcm-5.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update plasma-breeze plasma-sdk kde-gtk-config libksysguard plasma-workspace-wallpapers polkit-kde muon plasma-desktop kgamma oxygen-fonts kwrited kwayland-integration kdecoration kinfocenter khelpcenter plasma-workspace sddm-kcm plasma-systemsettings plasma-milou bluedevil kscreen kdeplasma-addons kf5-kwayland ksshaskpass libkscreen-qt5 kde-cli-tools powerdevil kwin plasma-pa kmenuedit khotkeys plasma-nm ksysguard plasma-oxygen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2016faf8c4
Comment 11 Fedora Update System 2015-11-10 15:21:32 EST
bluedevil-5.4.3-1.fc23, kde-cli-tools-5.4.3-1.fc23, kde-gtk-config-5.4.3-1.fc23, kdecoration-5.4.3-1.fc23, kdeplasma-addons-5.4.3-1.fc23, kf5-kwayland-5.4.3-1.fc23, kgamma-5.4.3-1.fc23, khelpcenter-5.4.3-1.fc23, khotkeys-5.4.3-1.fc23, kinfocenter-5.4.3-1.fc23, kmenuedit-5.4.3-1.fc23, kscreen-5.4.3-1.fc23, ksshaskpass-5.4.3-1.fc23, ksysguard-5.4.3-1.fc23, kwayland-integration-5.4.3-1.fc23, kwin-5.4.3-1.fc23, kwrited-5.4.3-1.fc23, libkscreen-qt5-5.4.3-1.fc23, libksysguard-5.4.3-1.fc23, muon-5.4.3-1.fc23, oxygen-fonts-5.4.3-1.fc23, plasma-breeze-5.4.3-2.fc23, plasma-desktop-5.4.3-1.fc23, plasma-milou-5.4.3-1.fc23, plasma-nm-5.4.3-1.fc23, plasma-oxygen-5.4.3-1.fc23, plasma-pa-5.4.3-1.fc23, plasma-sdk-5.4.3-1.fc23, plasma-systemsettings-5.4.3-1.fc23, plasma-workspace-5.4.3-1.fc23, plasma-workspace-wallpapers-5.4.3-1.fc23, polkit-kde-5.4.3-1.fc23, powerdevil-5.4.3-1.fc23, sddm-kcm-5.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2016-11-24 07:55:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:10:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.